/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose" />
/// <reference types="mongoose/types/inferschematype" />
import { MediaItem } from './media-item.schema';
import { Article } from './article.schema';
import { LocalizedSchema } from './localized.schema';
import { DualMediaItemDocument } from './dual-media-item';
export type LocalizedAppDataDocument = LocalizedAppData & Document;
export declare class LocalizedAppData extends LocalizedSchema {
    title: string;
    description: string;
    previewClips: MediaItem[];
    previewImages: MediaItem[];
    articles: Article[];
    spotLightMedia: DualMediaItemDocument;
    cardMedia: DualMediaItemDocument;
}
export declare const LocalizedAppDataSchema: import("mongoose").Schema<LocalizedAppData, import("mongoose").Model<LocalizedAppData, any, any, any, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, LocalizedAppData>;
